Package io.trino.jdbc

## Class NonRegisteringTrinoDriver

- java.lang.Object
- - io.trino.jdbc.NonRegisteringTrinoDriver

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Driver`

Direct Known Subclasses:
  `TrinoDriver`

    public class NonRegisteringTrinoDriver
    extends Object
    implements Driver, Closeable

### Constructor Summary

Constructors
`NonRegisteringTrinoDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(String url)`
`void` `close()`
`Connection` `connect​(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo​(String url, Properties info)`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonRegisteringTrinoDriver

    public NonRegisteringTrinoDriver()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

#### connect

    public Connection connect​(String url,
                              Properties info)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL​(String url)
                       throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo​(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`